Subject: Re: bug#32226: shadowfile test failures

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Jul 2018 17:47:09 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 25 Jul 2018 12:48:50 +0200
> 
> >       (equal
> >        (tramp-file-name "cluster" nil nil "c" nil "/DOCUME~1/Zaretzky/LOCALS~1/Temp/shadowfile-testsSe3Hgz" nil)
> >        (tramp-file-name nil nil nil "HOME-C4E4A596F7" nil "c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/shadowfile-testsSe3Hgz" nil))
> 
> Well, the problem is the syntax of local file names on MS Windows, like
> "c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/shadowfile-testsSe3Hgz". shadowfile
> uses cluster file names with syntax "/<cluster name>:<local file name>".
> If the <local file name> starts with a volume letter, the resulting
> string looks like a remote file name, and shadowfile is confused.

Can convert-standard-filename help?  It will convert any colon except
the first one to '!'.

> Fixing this is not trivial. Is it worth to do it? Again, I doubt that
> shadowfile has worked ever on MS Windows; I believe it would be
> sufficient to document this restriction.

It's up to you.  If fixing is indeed hard, I'd hate to get in the way
of your development of threaded Tramp ;-)